package com.liquidnet.client.admin.zhengzai.sweet.service;

import com.github.pagehelper.PageInfo;
import com.liquidnet.service.sweet.dto.SweetIntegralActivityDto;
import com.liquidnet.service.sweet.dto.param.admin.SweetIntegralActivityListSearchParam;
import com.liquidnet.service.sweet.dto.param.admin.SweetIntegralActivityPrizeRelationFormParam;
import com.liquidnet.service.sweet.entity.SweetIntegralActivityPrizeRelation;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 积分活动奖品里关联多奖品表 服务类
 * </p>
 *
 * @author jiangxiulong
 * @since 2021-12-02
 */
public interface ISweetIntegralActivityPrizeRelationService extends IService<SweetIntegralActivityPrizeRelation> {

    Integer createForm(SweetIntegralActivityPrizeRelationFormParam param);

    Integer delete(String prizeRelationId, String integralActivityId);

    PageInfo<SweetIntegralActivityDto> list(SweetIntegralActivityListSearchParam listParam);

}
